- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
cov
Complete List of ArrayFire Functions ArrayFire Functions by Category » Statistics » | Basic statistics functions

Find the covariance of values in the input. More...

## Functions
AFAPI array | cov (const array &X, const array &Y, const bool isbiased=false)
| C++ Interface for covariance. More...
AFAPI af_err | af_cov (af_array *out, const af_array X, const af_array Y, const bool isbiased)
| C Interface for covariance. More...

## Detailed Description

Find the covariance of values in the input.

This function performs the operation across all batches present in the input simultaneously.

## Function Documentation

AFAPI af_err af_cov | ( | af_array * | out,
|  | const af_array | X,
|  | const af_array | Y,
|  | const bool | isbiased
| ) |  |

C Interface for covariance.

Parameters

  [out] | out | will the covariance of the input arrays
  [in] | X | is the first input array
  [in] | Y | is the second input array
  [in] | isbiased | is boolean specifying if biased estimate should be taken (default: false)

Returns
  AF_SUCCESS if the color transformation is successful, otherwise an appropriate error code is returned.

AFAPI array af::cov | ( | const array & | X,
|  | const array & | Y,
|  | const bool | isbiased = `false`
| ) |  |

C++ Interface for covariance.

Parameters

  [in] | X | is the first input array
  [in] | Y | is the second input array
  [in] | isbiased | is boolean specifying if biased estimate should be taken (default: false)

Returns
  the covariance of the input arrays